ModInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class ModInfo

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.ModInfo

    public abstract class ModInfo

extends java.lang.Object

Model of mod information

Author:
  Marvin Froehlich (CTDP)

Field Summary
`protected int` | `maxOpponents`
`protected float` | `raceDuration`
`protected java.io.File` | `rfmFile`
`protected java.lang.String[]` | `vehicleFilter`
`protected java.io.File` | `vehiclesDir`

Constructor Summary
`protected` | `ModInfo(ProfileInfo profileInfo)` Creates a new ModInfo instance.

Method Summary
`static java.lang.String[]` | `getInstalledModNames(GameFileSystem fileSystem)` Gets the RFM filenames of all installed mods.
`int` | `getMaxOpponents()` Gets the 'max opponents' setting from the mod's RFM.
`java.lang.String` | `getName()` Gets the current mod's name.
`float` | `getRaceDuration()` Gets the race duration in seconds.
`java.io.File` | `getRFMFile()` Gets the mod's RFM file.
`java.lang.String[]` | `getVehicleFilter()` Gets the vehicle filter.
`abstract VehicleInfo` | `getVehicleInfoForDriver(VehicleScoringInfo vsi)` Gets the VehicleInfo corresponding to the given driver.
`java.io.File` | `getVehiclesFolder()` Gets the folder, where to search for .VEH files.
`protected void` | `update()`
`protected abstract void` | `updateImpl()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rfmFile

    protected java.io.File rfmFile

### vehiclesDir

    protected java.io.File vehiclesDir

### vehicleFilter

    protected java.lang.String[] vehicleFilter

### maxOpponents

    protected int maxOpponents

### raceDuration

    protected float raceDuration

Constructor Detail

### ModInfo

    protected ModInfo(ProfileInfo profileInfo)

  Creates a new ModInfo instance.

  Parameters:
    `profileInfo` -

Method Detail

### updateImpl

    protected abstract void updateImpl()

### update

    protected final void update()

### getName

    public final java.lang.String getName()

  Gets the current mod's name.

  Returns:
    the current mod's name.

### getRFMFile

    public final java.io.File getRFMFile()

  Gets the mod's RFM file.

  Returns:
    the mod's RFM file.

### getVehicleFilter

    public final java.lang.String[] getVehicleFilter()

  Gets the vehicle filter.

  Returns:
    the vehicle filter.

### getVehiclesFolder

    public final java.io.File getVehiclesFolder()

  Gets the folder, where to search for .VEH files.

  Returns:
    the folder, where to search for .VEH files.

### getVehicleInfoForDriver

    public abstract VehicleInfo getVehicleInfoForDriver(VehicleScoringInfo vsi)

  Gets the VehicleInfo corresponding to the given driver.

  Parameters:
    `vsi` -
  Returns:
    the VehicleInfo corresponding to the given driver.

### getMaxOpponents

    public final int getMaxOpponents()

  Gets the 'max opponents' setting from the mod's RFM.

  Returns:
    the 'max opponents' setting from the mod's RFM.

### getRaceDuration

    public final float getRaceDuration()

  Gets the race duration in seconds.

  Returns:
    the race duration in seconds.

### getInstalledModNames

    public static java.lang.String[] getInstalledModNames(GameFileSystem fileSystem)

  Gets the RFM filenames of all installed mods.

  Parameters:
    `fileSystem` -
  Returns:
    the RFM filenames of all installed mods.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD